MongooseJS 4.5.6 发布,MongoDB 连接包 - 开源中国社区
MongooseJS 4.5.6 发布,MongoDB 连接包
oschina 2016年07月24日

MongooseJS 4.5.6 发布,MongoDB 连接包

oschina oschina 发布于2016年07月24日 收藏 2

腾讯云 十分钟定制你的第一个小程序>>>  

MongooseJS 4.5.6 发布了,本次发布改进记录如下:

  • fix(schema): don't overwrite createdAt if it isn't selected #4351 tusbar

  • docs(api): fix link to populate() and add a new one from depopulate() #4345 Delapouite

  • fix(types): ownerDocument() works properly with single nested docs #4344 vichle

  • fix(populate): dont use findOne when justOne option set #4329

  • fix(document): dont trigger .then() deprecated warning when calling doc.remove() #4291

  • docs(connection): add promiseLibrary option #4280

  • fix(plugins): apply global plugins to subschemas #4271

  • fix(model): ensure ensureIndex() never calls back in the same tick #4246

  • docs(schema): improve post hook docs on schema #4238

Mongoose 是基于nodejs,使用javascript编程,连接mongodb数据库的软件包,使mongodb的文档数据模型变的优雅起来,方便对mongodb文档型数据库的连接和增删改查等常规数据操作。

mongoose是当前使用mean(mongodb express angularjs nodejs)全栈开发必用的连接数据库软件包。

下载地址:

本站文章除注明转载外,均为本站原创或编译。欢迎任何形式的转载,但请务必注明出处,尊重他人劳动共创开源社区。
转载请注明:文章转载自 开源中国社区 [http://www.oschina.net]
本文标题:MongooseJS 4.5.6 发布,MongoDB 连接包
分享
评论(0)
最新评论
顶部